Cyberduck Mountain Duck CLI

#10795 closed defect (fixed)

Inaccurately reports size (includes retries) for multipart uploads

Reported by: sirgatez Owned by: dkocher
Priority: normal Milestone: 7.8.2
Component: s3 Version: 7.1
Severity: normal Keywords: 7.0.1, 7.1
Cc: Architecture: Intel
Platform: macOS 10.14

Description

Cyberduck reports upload retries as part of the normal multipart upload, so any part that needs to be reuploaded is counted as part of the upload byte total (which exceeds the original file size). Rather it should be indicated separately how many parts had to be retried by how many times for a total overhead of x.

Attachments (1)

Screen Shot 2019-09-12 at 6.44.36 PM.png (16.6 KB) - added by sirgatez on Sep 13, 2019 at 1:45:37 AM.
Example excess upload size (due to retries)

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Sep 6, 2019 at 8:56:40 AM by dkocher

  • Summary changed from Cyberduck inaccurately reports upload size (includes retries) to Inaccurately reports upload size (includes retries)
  • Version set to 7.0.1

Changed on Sep 13, 2019 at 1:45:37 AM by sirgatez

Example excess upload size (due to retries)

comment:2 Changed on Sep 13, 2019 at 1:47:01 AM by sirgatez

  • Architecture set to Intel
  • Keywords 7.0.1 7.1 added
  • Platform set to macOS 10.14
  • Version changed from 7.0.1 to 7.1

comment:3 Changed on Nov 5, 2020 at 8:05:29 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Summary changed from Inaccurately reports upload size (includes retries) to Inaccurately reports size (includes retries) for multipart uploads

comment:4 Changed on Jan 23, 2021 at 3:44:07 PM by dkocher

  • Milestone set to 7.8.2
  • Resolution set to fixed
  • Status changed from new to closed

Reset transfer status r50497 prior fallback to non-multipart file upload.

Note: See TracTickets for help on using tickets.